Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## convert.relaxng.output.xsd.basic
Class Schema

    java.lang.Object
      convert.relaxng.output.xsd.basic.Located
          convert.relaxng.output.xsd.basic.Annotated
              convert.relaxng.output.xsd.basic.Schema

    public class Schema

extends Annotated

Constructor Summary
`Schema(SourceLocation location, Annotation annotation, java.lang.String uri, java.lang.String encoding)`

Method Summary
`void` | `accept(SchemaVisitor visitor)`
`void` | `addComment(java.lang.String content, SourceLocation location)`
`Schema` | `addInclude(java.lang.String uri, java.lang.String encoding, SourceLocation location, Annotation annotation)`
`void` | `addRoot(Particle particle, SourceLocation location, Annotation annotation)`
`void` | `defineAttributeGroup(java.lang.String name, AttributeUse attributeUses, SourceLocation location, Annotation annotation)`
`void` | `defineGroup(java.lang.String name, Particle particle, SourceLocation location, Annotation annotation)`
`void` | `defineSimpleType(java.lang.String name, SimpleType simpleType, SourceLocation location, Annotation annotation)`
`boolean` | `equals(java.lang.Object obj)`
`AttributeGroupDefinition` | `getAttributeGroup(java.lang.String name)`
`java.lang.String` | `getEncoding()`
`GroupDefinition` | `getGroup(java.lang.String name)`
`java.util.List<Comment>` | `getLeadingComments()`
`Schema` | `getParent()`
`SimpleTypeDefinition` | `getSimpleType(java.lang.String name)`
`java.util.List<Schema>` | `getSubSchemas()`
`java.util.List<Comment>` | `getTrailingComments()`
`java.lang.String` | `getUri()`
`int` | `hashCode()`

Methods inherited from class convert.relaxng.output.xsd.basic.Annotated
`getAnnotation`

Methods inherited from class convert.relaxng.output.xsd.basic.Located
`getLocation`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Schema

    public Schema(SourceLocation location,
                  Annotation annotation,
                  java.lang.String uri,
                  java.lang.String encoding)

Method Detail

### getUri

    public java.lang.String getUri()

### getEncoding

    public java.lang.String getEncoding()

### getParent

    public Schema getParent()

### defineGroup

    public void defineGroup(java.lang.String name,
                            Particle particle,
                            SourceLocation location,
                            Annotation annotation)

### defineAttributeGroup

    public void defineAttributeGroup(java.lang.String name,
                                     AttributeUse attributeUses,
                                     SourceLocation location,
                                     Annotation annotation)

### defineSimpleType

    public void defineSimpleType(java.lang.String name,
                                 SimpleType simpleType,
                                 SourceLocation location,
                                 Annotation annotation)

### addRoot

    public void addRoot(Particle particle,
                        SourceLocation location,
                        Annotation annotation)

### addInclude

    public Schema addInclude(java.lang.String uri,
                             java.lang.String encoding,
                             SourceLocation location,
                             Annotation annotation)

### addComment

    public void addComment(java.lang.String content,
                           SourceLocation location)

### getGroup

    public GroupDefinition getGroup(java.lang.String name)

### getSimpleType

    public SimpleTypeDefinition getSimpleType(java.lang.String name)

### getAttributeGroup

    public AttributeGroupDefinition getAttributeGroup(java.lang.String name)

### accept

    public void accept(SchemaVisitor visitor)

### getSubSchemas

    public java.util.List<Schema> getSubSchemas()

### getLeadingComments

    public java.util.List<Comment> getLeadingComments()

### getTrailingComments

    public java.util.List<Comment> getTrailingComments()

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `Annotated`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Annotated`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD